> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Put chargecodes

> Updates an existing Charge Code value as identified by the ID of the Charge Code value
passed in with the values of the passed in Charge Code value. Charge Codes are used for
calculating reservation costs.

The requesting User must have the following rights to perform this task:

This operation requires a Charge Code Data value.

This operation returns a Charge Code Data value.





## OpenAPI

````yaml /tango_reserve/integrations/guides/aq-api.yaml put /chargecodes
openapi: 3.1.0
info:
  description: phoenix-restful
  version: '2.0'
  title: Reserve Rest API
servers:
  - url: /aq-api/
security: []
tags:
  - name: AccountService
    description: |-
      Account Service

      The Accounts service provides an interface for business customer accounts
      whose intent includes creating resources which may be reserved in a public
      or private space.
  - name: AnalyticsGatewayService
    description: |-
      Provides gateway interface into analytic reports generated from Phoenix
      data.
  - name: ApplicationService
    description: >-
      Application Service


      Provides operations for creating and managing external applications which
      may interact with

      the Agilquest Forums platform.
  - name: ApprovalsService
    description: Base class for RESTful services.
  - name: AvailabilityService
    description: >-
      Availability Service


      Exposes operations which provide availability information for Assets
      within Agilquest Forums.
  - name: CacheReadinessService
  - name: ChargeCodeService
    description: |-
      Charge Code Service

      The Charge Code Service provides the RESTful end points for interacting
      with Charge Codes in the Agilquest.
  - name: ForumService
    description: Base class for RESTful services.
  - name: LanguageService
    description: |-
      Provides a RESTful interface to the Language services for language
      tags and, language bundles, and language data for Agilquest.
  - name: LocaleService
    description: >-
      The Locale Service provides TimeZone and LanguageData information about
      the

      Agilquest.
  - name: LocationService
    description: |-
      The Location Service provides an interface for interacting with Locations
      and Locator Structures in the Agilquest.
  - name: LookupService
    description: |-
      The lookup service exposes the code table lookup functionality of the
      Agilquest.
  - name: PropertiesService
    description: Retrieves the properties associated with a given account.
  - name: ReservationEventViewsService
    description: >-
      The Reservation Event View Service provides views of Reservation events
      (ReservationGroup).
  - name: ReservationService
    description: |-
      The Reservation Service handles creating, changing, and retrieving
      reservations through the ReservationServiceBusiness interface.
  - name: ReservationViewsService
    description: |-
      The Reservation View Service provides views into the existing reservation
      information maintained by the Agilquest.
  - name: ResourceGroupService
    description: |-
      The Resource Group service provides an interface into manipulating
      the resource groups in the Agilquest.
  - name: ResourceService
    description: Base class for RESTful services.
  - name: ResourceViewsService
    description: |-
      The Resource Views service provides views into existing resources in
      the Agilquest.
  - name: ReviewsService
    description: Base class for RESTful services.
  - name: RoomConfigurationService
    description: Base class for RESTful services.
  - name: SplashPageService
    description: Base class for RESTful services.
  - name: SystemService
    description: System Service.
  - name: UserGroupService
    description: Base class for RESTful services.
  - name: UserService
    description: |-
      The User Service provides an interface for adding, editing, and removing
      users in the Agilquest.
  - name: UserViewsService
    description: |-
      The User Views service provides views into the existing User information
      maintained by the Agilquest.
  - name: VisitorService
    description: >-
      The Visitor Service provides an interface for adding, editing, and
      removing

      visitors in the Agilquest.
paths:
  /chargecodes:
    put:
      tags:
        - ChargeCodeService
      description: >+
        Updates an existing Charge Code value as identified by the ID of the
        Charge Code value

        passed in with the values of the passed in Charge Code value. Charge
        Codes are used for

        calculating reservation costs.


        The requesting User must have the following rights to perform this task:


        This operation requires a Charge Code Data value.


        This operation returns a Charge Code Data value.

      operationId: updateChargeCode
      parameters: []
      requestBody:
        description: >-
          Charge Code Data value to update and existing Charge Code in the
          Agilquest.com System.
        required: false
        content:
          application/json:
            examples:
              example:
                value:
                  sysidAccount: 12345
                  aqExpirationDate:
                    discriminator: AqDate
                    hour: 12345
                    tzIdValue: ...
                    year: 12345
                    month: 12345
                    dayOfMonth: 12345
                    minute: 12345
                    noEndDate: true
                  description: ...
                  active: true
                  chargeCode: ...
                  aqCreatedDate:
                    discriminator: AqDate
                    hour: 12345
                    tzIdValue: ...
                    year: 12345
                    month: 12345
                    dayOfMonth: 12345
                    minute: 12345
                    noEndDate: true
                  sysidChargeCode: 12345
                  aqActivationDate:
                    discriminator: AqDate
                    hour: 12345
                    tzIdValue: ...
                    year: 12345
                    month: 12345
                    dayOfMonth: 12345
                    minute: 12345
                    noEndDate: true
                  name: ...
            schema:
              $ref: '#/components/schemas/ChargeCodeData'
      responses:
        '204':
          content:
            application/json:
              examples:
                example:
                  value:
                    sysidAccount: 12345
                    aqExpirationDate:
                      discriminator: AqDate
                      hour: 12345
                      tzIdValue: ...
                      year: 12345
                      month: 12345
                      dayOfMonth: 12345
                      minute: 12345
                      noEndDate: true
                    description: ...
                    active: true
                    chargeCode: ...
                    aqCreatedDate:
                      discriminator: AqDate
                      hour: 12345
                      tzIdValue: ...
                      year: 12345
                      month: 12345
                      dayOfMonth: 12345
                      minute: 12345
                      noEndDate: true
                    sysidChargeCode: 12345
                    aqActivationDate:
                      discriminator: AqDate
                      hour: 12345
                      tzIdValue: ...
                      year: 12345
                      month: 12345
                      dayOfMonth: 12345
                      minute: 12345
                      noEndDate: true
                    name: ...
              schema:
                $ref: '#/components/schemas/ChargeCodeData'
          description: |-
            Modified ChargeCodeData
            com.agilquest.phoenix.shared.data.chargecode.ChargeCodeData
components:
  schemas:
    ChargeCodeData:
      type: object
      title: ChargeCodeData
      required:
        - sysidAccount
        - active
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidAccount:
              type: integer
              format: int32
            aqExpirationDate:
              $ref: '#/components/schemas/AqDate'
            description:
              type: string
            active:
              type: boolean
            chargeCode:
              type: string
            aqCreatedDate:
              $ref: '#/components/schemas/AqDate'
            sysidChargeCode:
              type: integer
              format: int32
            aqActivationDate:
              $ref: '#/components/schemas/AqDate'
            name:
              type: string
      example:
        sysidAccount: 12345
        aqExpirationDate:
          discriminator: AqDate
          hour: 12345
          tzIdValue: ...
          year: 12345
          month: 12345
          dayOfMonth: 12345
          minute: 12345
          noEndDate: true
        description: ...
        active: true
        chargeCode: ...
        aqCreatedDate:
          discriminator: AqDate
          hour: 12345
          tzIdValue: ...
          year: 12345
          month: 12345
          dayOfMonth: 12345
          minute: 12345
          noEndDate: true
        sysidChargeCode: 12345
        aqActivationDate:
          discriminator: AqDate
          hour: 12345
          tzIdValue: ...
          year: 12345
          month: 12345
          dayOfMonth: 12345
          minute: 12345
          noEndDate: true
        name: ...
    DependentData:
      type: object
      title: DependentData
      example: {}
    AqDate:
      discriminator: discriminator
      type: object
      title: AqDate
      required:
        - hour
        - year
        - month
        - dayOfMonth
        - minute
        - noEndDate
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            discriminator:
              description: The JSON object type.
              type: string
            hour:
              type: integer
              format: int32
            tzIdValue:
              type: string
            year:
              type: integer
              format: int32
            month:
              type: integer
              format: int32
            dayOfMonth:
              type: integer
              format: int32
            minute:
              type: integer
              format: int32
            noEndDate:
              type: boolean
      example:
        discriminator: AqDate
        hour: 12345
        tzIdValue: ...
        year: 12345
        month: 12345
        dayOfMonth: 12345
        minute: 12345
        noEndDate: true

````